//
//  HHOneLineViewController.swift
//  HHPullDownMenu
//
//  Created by SunnyMac on 16/10/27.
//  Copyright © 2016年 hjl. All rights reserved.
//

import UIKit

class HHOneLineViewController: BaseViewController {

    @IBOutlet weak var tableView: UITableView!
    override func viewDidLoad() {
        super.viewDidLoad()
    }
}

extension HHOneLineViewController : UITableViewDataSource, UITableViewDelegate {
    
    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return data.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        var cell = tableView.dequeueReusableCell(withIdentifier: "PopoverCell")
        
        if cell == nil {
            cell = UITableViewCell.init(style: .default, reuseIdentifier: "PopoverCell")
        }
        
        cell?.accessoryType = .none
        
        //cell?.accessoryView?.isHidden = true
        
        cell?.textLabel?.text = self.data[indexPath.row] as? String
        
        return cell!
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        let index = indexPath.row
        
        print(self.listNumber, index)
        ///
        tableView.cellForRow(at: indexPath)?.textLabel?.textColor = UIColor.init(red: 0/255, green: 127/255, blue: 255/255, alpha: 1)
        /// 设置当前选中行: 右边加上小对勾
        tableView.cellForRow(at: indexPath)?.accessoryType = .checkmark  
    }
}
