//
//  ViewController.swift
//  HHPullDownMenu
//
//  Created by SunnyMac on 16/10/25.
//  Copyright © 2016年 hjl. All rights reserved.
//

import UIKit
let kScreenW : CGFloat = UIScreen.main.bounds.size.width
let kScreenH : CGFloat = UIScreen.main.bounds.size.height
class ViewController: UIViewController {

    lazy var menu : HHPullDownMenu = {
        // 下拉菜单的位置以及尺寸
        let menuRect = CGRect.init(x: 0, y: 64, width: kScreenW, height: 44)
        // 下拉菜单的titles
        let titles = ["第一列", "第二列", "第三列"]
        // 下拉菜单的子控制器
        var childVcs = [UIViewController]()
        
        let one = HHTwoLineViewController()
        one.data = [
            ["河南", "郑州", "驻马店", "焦作", "洛阳"],
            ["浙江", "杭州", "余姚", "宁波"],
            ["江苏", "南京", "苏州"],
            ["海南", "三亚"]
        ]
        childVcs.append(one)
        
        let two = HHOneLineViewController()
        two.data = ["4", "5", "6", "7"]
        childVcs.append(two)
        
        let three = HHOneLineViewController()
        three.data = ["9", "10", "11", "12", "13"]
        childVcs.append(three)

        let menu = HHPullDownMenu.init(frame: menuRect, titles: titles, sourceVc: self, childVcs: childVcs)

        return menu
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.addSubview(menu)
    }
}


